osl::eval::ml::BishopSilverKnight Class Reference

`#include <majorPiece.h>`

## Public Types

enum | { ONE_DIM = 5 * 9 * 9 * 9 * 9 * 9 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &state)

## Static Private Member Functions

static size_t | index (int bishop_x, int bishop_y, int silver_x, int silver_y, int knight_x, int knight_y)

## Static Private Attributes

static CArray< MultiInt, ONE_DIM > | table

## Detailed Description

Definition at line 670 of file majorPiece.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 673 of file majorPiece.h.

## Member Function Documentation

## eval()

osl::MultiInt osl::eval::ml::BishopSilverKnight::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 1352 of file majorPiece.cc.

References osl::BLACK, index(), osl::Piece::isOnBoard(), osl::Piece::isPromoted(), osl::Piece::owner(), osl::SimpleState::pieceOf(), osl::Piece::square(), table, osl::Square::x(), and osl::Square::y().

Referenced by osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## index()

size_t osl::eval::ml::BishopSilverKnight::index | ( | int | bishop_x,
|  | int | bishop_y,
|  | int | silver_x,
|  | int | silver_y,
|  | int | knight_x,
|  | int | knight_y )

inline static private

Definition at line 681 of file majorPiece.h.

Referenced by eval().

## setUp()

void osl::eval::ml::BishopSilverKnight::setUp | ( | const Weights & | weights | ) |

static

Definition at line 1342 of file majorPiece.cc.

References osl::NStages, ONE_DIM, table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< MultiInt, osl::eval::ml::BishopSilverKnight::ONE_DIM > osl::eval::ml::BishopSilverKnight::table

static private

Definition at line 680 of file majorPiece.h.

Referenced by eval(), and setUp().

The documentation for this class was generated from the following files:

- majorPiece.h
- majorPiece.cc